Bug 676746

Summary: random $AUTHORITY makes SDL use difficult
Product: [Fedora] Fedora Reporter: Gary Scarborough <gscarborough>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: aquini, berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-24 17:37:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gary Scarborough 2011-02-10 20:13:28 EST
Description of problem:
The value of $XAUTHORITY is now random, so the xml file for virtual machines has to be updated every log in.  Otherwise trying to use SDL display type fails.


Version-Release number of selected component (if applicable):
Depends on which item you want to fix: SDL, libvirt, X?

How reproducible:
Standard behavior in Fedora 14 with the change to random $XAUTHORITY path


Steps to Reproduce:
1. create a virtual machine using virt-manager
2. change display type to SDL
3. VM will fail to start
  
Actual results:
The virtual machine fails to start

Expected results:
The virtual machine should start in an SDL window.

Additional info:
This might be a duplicate but this particular problem wasn't on the known problems page for KVM.  This may also be moot if SDL is being removed in favor of SPICE in the future.  Just wanted to make sure it was noted.
Comment 1 Daniel Berrange 2011-02-11 05:12:48 EST
From a libvirt POV, we're not removing SDL for SPICE - that's upto distros, and Fedora policy is to generally enable all features practical.

I don't see a good ways to solve this in libvirt for the qemu://system URI, because there's no association between libvirt & a desktop session. For qemu:///session, libvirtd ought to inherit the XAUTHORITY env var, so we should check that.

If you need predictable xauthority== attributes for your guest XML, then perhaps a quick hack would be in order. eg in your .xsession file (or similar), do

   rm -f $HOME/.xauthority
   ln -s $XAUTHORITY $HOME/.xauthority

Now your XML can just use /home/yourname/.xauthority, regardless of where GDM put the random file this time.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:55:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:58:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:54:27 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:56:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:00:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:02:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-01-24 17:37:26 EST
F14 is EOL, closing.